<?php

declare(strict_types=1);

namespace Drupal\notifier_email_channel;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderInterface;

/**
 * Service provider for Notifier Email Channel.
 */
final class NotifierEmailChannelServiceProvider implements ServiceProviderInterface {

  public function register(ContainerBuilder $container): void {
    $container
      ->addCompilerPass(new NotifierEmailChannelCompilerPass());
  }

}
